AWS Amplify API
AWS Amplify Home
Options
All

- Public
- Public/Protected
- All

Inherited Externals Only exported
Menu

### Hierarchy

- Auth0OAuthOpts

## Index

### Properties

- audience
- clientID
- domain
- redirectUri
- responseType
- returnTo
- scope
- urlOpener

## Properties

### audience

audience: string

- Defined in auth/src/types/Auth.ts:124

### clientID

clientID: string

- Defined in auth/src/types/Auth.ts:121

### domain

domain: string

- Defined in auth/src/types/Auth.ts:120

### redirectUri

redirectUri: string

- Defined in auth/src/types/Auth.ts:123

### responseType

responseType: string

- Defined in auth/src/types/Auth.ts:125

### returnTo

returnTo: string

- Defined in auth/src/types/Auth.ts:126

### scope

scope: string

- Defined in auth/src/types/Auth.ts:122

### Optional urlOpener

urlOpener: function

- Defined in auth/src/types/Auth.ts:127

#### Type declaration

- - (url: string, redirectUrl: string): Promise<any>

  - #### Parameters

    - ##### url: string

    - ##### redirectUrl: string

    #### Returns Promise<any>